Bug 805363 - [abrt] kernel: [119569.682916] WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
[abrt] kernel: [119569.682916] WARNING: at lib/list_debug.c:26 __list_add+0x6...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:311f8b244308fd87d179c873dc9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 22:47 EDT by Joshua
Modified: 2012-05-14 12:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 12:51:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua 2012-03-20 22:47:13 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.9-2.fc16.x86_64 root=/dev/mapper/vg_belldandy-lv_root ro rd.lvm.lv=vg_belldandy/lv_root rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 rd.lvm.lv=vg_belldandy/lv_swap LANG=en_US.UTF-8
kernel:         3.2.9-2.fc16.x86_64
reason:         [119569.682916] WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
time:           Mon 19 Mar 2012 10:59:13 PM CDT

backtrace:
:[119569.682916] WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
:[119569.682920] Hardware name: 1068A8U
:[119569.682924] list_add corruption. next->prev should be prev (ffff880136784678), but was           (null). (next=ffff880136784678).
:[119569.682928] Modules linked in: nls_utf8 udf crc_itu_t tcp_lp binfmt_misc vfat fat usb_storage ppdev parport_pc lp parport fuse lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec arc4 uvcvideo brcmsmac videodev snd_hwdep snd_seq media snd_seq_device v4l2_compat_ioctl32 mac80211 snd_pcm i2c_i801 snd_timer uinput brcmutil iTCO_wdt ideapad_laptop cfg80211 r8169 mii iTCO_vendor_support sparse_keymap sunrpc rfkill joydev snd crc8 cordic soundcore snd_page_alloc microcode bcma wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[119569.683003] Pid: 16591, comm: yumBackend.py Tainted: G        W    3.2.9-2.fc16.x86_64 #1
:[119569.683006] Call Trace:
:[119569.683017]  [<ffffffff8106e72f>] warn_slowpath_common+0x7f/0xc0
:[119569.683024]  [<ffffffff8106e826>] warn_slowpath_fmt+0x46/0x50
:[119569.683028]  [<ffffffff812cc1dd>] __list_add+0x6d/0xa0
:[119569.683034]  [<ffffffff81190438>] __d_instantiate+0x58/0xe0
:[119569.683039]  [<ffffffff81190f8c>] d_splice_alias+0xcc/0xf0
:[119569.683045]  [<ffffffff81203fd6>] ext4_lookup+0xb6/0x120
:[119569.683051]  [<ffffffff81185d25>] d_alloc_and_lookup+0x45/0x90
:[119569.683056]  [<ffffffff81192655>] ? d_lookup+0x35/0x60
:[119569.683062]  [<ffffffff811882f1>] do_lookup+0x2b1/0x3a0
:[119569.683068]  [<ffffffff8118907c>] path_lookupat+0x11c/0x740
:[119569.683073]  [<ffffffff812c6467>] ? __strncpy_from_user+0x27/0x60
:[119569.683079]  [<ffffffff811896d1>] do_path_lookup+0x31/0xc0
:[119569.683085]  [<ffffffff8118aa79>] user_path_at_empty+0x59/0xa0
:[119569.683090]  [<ffffffff8117fad8>] ? cp_new_stat+0xf8/0x110
:[119569.683095]  [<ffffffff8118aad1>] user_path_at+0x11/0x20
:[119569.683099]  [<ffffffff8117fcfa>] vfs_fstatat+0x3a/0x70
:[119569.683103]  [<ffffffff8117fd6b>] vfs_stat+0x1b/0x20
:[119569.683108]  [<ffffffff8117feaa>] sys_newstat+0x1a/0x40
:[119569.683112]  [<ffffffff81185c32>] ? path_put+0x22/0x30
:[119569.683119]  [<ffffffff810ce4ba>] ? audit_syscall_entry+0x23a/0x350
:[119569.683125]  [<ffffffff815ec682>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: f42627c8-7713-456c-b893-acfd3fa3297f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3990.78
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) CPU B940 @ 2.00GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 3869
:System Swap: 4095
:Vendor: LENOVO
:System: 1068A8U Lenovo B570
:Form factor: Notebook
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:6058:14709) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:262:6058:14709) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:14709) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:14709) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:14709) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:6058:14709) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:6058:14709) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33128:6058:14709) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(5348:18215:5348:1307) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:7171:6058:14709) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:14709) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:14709) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:14709) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:14709) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_belldandy-lv_root / ext4 4096 4096 120784328 90646873 84601177 30228480 30001912 30001912
:/dev/sda1 /boot ext4 1024 1024 508745 411009 385409 128016 127785 127785
:
Comment 1 Josh Boyer 2012-03-21 09:59:04 EDT
The "Tainted: G        W" means something else happened before this backtrace.  Do you see that in the logs anywhere?  Also, was this on resume from hibernate?
Comment 2 Dave Jones 2012-03-22 12:48:59 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:53:28 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:04:07 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Note You need to log in before you can comment on or make changes to this bug.